main()
{
   int i = 5, j;

  do {
       switch(3) {
              case 1:
                       cprintf("I am 1!\r\n");
                       cprintf("I am 1!\r\n");
                       cprintf("I am 1!\r\n");
                       cprintf("I am 1!\r\n");
                       break;
              case 2:
                       cprintf("I am 2!\r\n");
                       break;
              case 3:
                       j = 5;
                       do
                       {
                            cprintf("I am 7!\r\n");
                            cprintf("I am 8!\r\n");
                            cprintf("I am 9!\r\n");
                       } while(j--);
                       break;
              case 4:
                       cprintf("I am 4!\r\n");
                       break;
              case 5:
                       cprintf("I am 5!\r\n");
                       break;
              case 9:
                       cprintf("I am 9!\r\n");
                       break;
              case 8:
                       cprintf("I am 8!\r\n");
                       break;
              case 7:
                       cprintf("I am 7!\r\n");
                       break;
              case 18:
                       if (1)
                         {
                       cprintf("I am 1!\r\n");
                       cprintf("I am 2!\r\n");
                         }
                       else {
                       cprintf("I am 3!\r\n");
                       cprintf("I am 4!\r\n");}
                       break;
              case 27:
                       cprintf("I am 27!\r\n");
                       break;
              case 47:
                       cprintf("I am 47!\r\n");
                       break;
              default :
                       cprintf("Not Found!\r\n");
                       cprintf("Not Found!\r\n");
                       cprintf("Not Found!\r\n");
                       cprintf("Not Found!\r\n");
       }
   } while(i--);

            cprintf("I am Outer1!\r\n");
            cprintf("I am Outer2!\r\n");
            cprintf("I am Outer3!\r\n");
            cprintf("I am Outer4!\r\n");
 }
